# Submit number order Submits the order for review, assuming the KYC info and attachments were submitted using their dedicated endpoints. You can follow a detailed tutorial outlining the entire ordering process here. Endpoint: POST /v1/projects/{projectId}/numberOrders/{numberOrderId}/submit Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" - `numberOrderId` (string, required) The ID of the number order created by the REST API user. ## Response 200 fields (application/json): - `projectId` (string) - `idNumberOrder` (string) - `regionCode` (string) ISO 3166-1 alpha-2 country code of the phone number. Example: US, GB or SE. Example: "US" - `state` (string) The state of the number order Enum: "NUMBER_ORDER_STATE_UNSPECIFIED", "CREATED", "EXPIRED", "IN_REVIEW", "BLOCKED", "REJECTED", "COMPLETED" - `numberType` (string) The number type. Enum: "MOBILE", "LOCAL", "TOLL_FREE" - `orderNumbers` (array) - `orderNumbers.phoneNumber` (string) The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading +. Example +12025550134. Example: "+12025550134" - `orderNumbers.numberPrice` (object) - `orderNumbers.numberPrice.setupPrice` (object) An object giving details on currency code and the amount charged. - `orderNumbers.numberPrice.setupPrice.currencyCode` (string) The 3-letter currency code defined in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html). Example: "USD" - `orderNumbers.numberPrice.setupPrice.amount` (string) The amount in decimal form. For example 2.00. There are no guarantees on the precision unless documented by the message origin. The amount cannot be updated and is read-only. Example: "2.00" - `orderNumbers.numberPrice.monthlyPrice` (object) An object giving details on currency code and the amount charged. - `orderNumbers.numberPrice.paymentIntervalMonths` (integer) - `orderNumbers.capabilities` (array) Enum: "SMS", "VOICE" - `smsConfiguration` (object) SMS Configuration for KYC numbers, containing the servicePlanId and campaignId. - `smsConfiguration.servicePlanId` (string, required) The servicePlanId can be found in the [Sinch Customer Dashboard](https://dashboard.sinch.com/sms/api/rest). The service plan ID is what ties this number to the configured SMS service. - `smsConfiguration.campaignId` (string) Only for US phone numbers. This campaignId is required to send SMS traffic to US; click [here](https://community.sinch.com/t5/10DLC/What-is-10DLC/ta-p/7845) to read more about 10DLC A2P messaging. So, it is the current campaign ID for this number. The campaignId is found on your TCR platform. - `voiceConfiguration` (object) - `expireTime` (string,null) Example: "2025-11-23T08:54:58.115Z" - `createTime` (string) - `updateTime` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)